You must pass individual tests to obtain marks.
The Mark of Duty is only given to those who pass the Trial of Duty. You must be above level 35 to take the test. To take the Trial of Duty, visit Grand Master Hannavalt of Giran Castle Town.
The Mark of Life is only given to those who pass the Testimony of Life. You must be above level 37 to take the test. To take the Test of Life, visit Master Cardien of Dion Castle Town.
And finally the Mark of the Healer is only given to those who pass the Test of the Healer. You must be above level 39 to take the test. To take the Test of the Healer, visit Priest Bandellos at the temple of Giran Castle Town.
Return